Subject: Re: [bug#60979] [PATCH] gnu: wlroots: Update dependencies

From: Josselin Poiret <[email-masked]>
Date: Fri, 03 Feb 2023 10:48:51 +0100

Hi Andry,

First of all, looking at QA [1], I noticed that none of the WMs
depending on it actually build.  Have you tested this patch on your
machine?

Andy Tai <[email-masked]> writes:

> From 2d433dba9ee73707ec71a4209e023e91e10d094d Mon Sep 17 00:00:00 2001
> From: Andy Tai <[email-masked]>
> Date: Fri, 20 Jan 2023 20:43:50 -0800
> Subject: [PATCH] gnu: wlroots: Update dependencies
>
> gnu/packages/wm.scm (wlroots): Add input xcb-util-renderutil and vulkan
> for XWayland support
> ---
>  gnu/packages/wm.scm | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/gnu/packages/wm.scm b/gnu/packages/wm.scm
> index 201c5994d8..b93c57b888 100644
> --- a/gnu/packages/wm.scm
> +++ b/gnu/packages/wm.scm
> @@ -143,6 +143,7 @@ (define-module (gnu packages wm)
>    #:use-module (gnu packages textutils)
>    #:use-module (gnu packages time)
>    #:use-module (gnu packages video)
> +  #:use-module (gnu packages vulkan)
>    #:use-module (gnu packages web)
>    #:use-module (gnu packages xdisorg)
>    #:use-module (gnu packages xml)
> @@ -1555,6 +1556,7 @@ (define-public wlroots
>                                                         "xorg-server-xwayland")
>                                              "/bin/Xwayland")))
>               #t)))))
> +    (inputs (list libpng  mesa-headers vulkan-headers vulkan-loader xcb-util-renderutil))

Here, xcb-util-renderutil should be propagated because it is required by
the wlroots.pc pkg-config file.  Also, looking at the wlroots README, I
don't see libpng mentioned anywhere, as well as mesa-headers, and
removing both of them still lets it build fine. Do you know if those are
actually needed? Reciprocally, glslang is mentioned for the Vulkan
renderer, but I don't see it here.

>      (propagated-inputs
>       (list ;; As required by wlroots.pc.
>             eudev

Best,
-- 
Josselin Poiret